Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 236401 - Anaconda incorrectly installs on partitions greater than 2TB
Summary: Anaconda incorrectly installs on partitions greater than 2TB
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Peter Jones
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-13 16:10 UTC by Gerald Cox
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: F7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-09-18 14:43:59 UTC


Attachments (Terms of Use)

Description Gerald Cox 2007-04-13 16:10:47 UTC
Description of problem:

I have a 3ware 9650-12 controller with 12 320G drives.

I defined one large raid array of ~3TB.  I then installed FC7 Test 3 with
a 2GB SWAP, 200MB BOOT, and the remainder "/" (which would be approx 2.7TB). 
Install went uneventfully but when the system booted I received a kernel panic.
 I then used the default LVM configuration, but made the "/" drive 30GB.  The
system booted fine, but I am now receiving in the startup log:
"...very big device. try to use READ CAPACITY(16) and write cache: enabled, read
cache: disabled, doesn't support DPO or FUA errors."

I submitted a question to fedora-list and was told that I need to use GPT
partition tables for partitions > 2TB and that they system couldn't boot from a
GPT partition.  It appears that anaconda didn't catch this, put the wrong type
of partition table on my "/" drive, and then allowed the installation to
continue.  The problem doesn't surface until you try to boot. 


Version-Release number of selected component (if applicable):
Fedora 7, Test 3

How reproducible:
Go thru the install procedure.  I did it three ways, using drive defaults
(letting anaconda decide), custom procedure without LVM and custom procedure
with LVM.  The way I got this to work as described above was taking the default
drive recommendations and manually changing the size of the "/" partition to 30GB.

Steps to Reproduce:
1.  Mount the install DVD
2.  Proceed with installation

  
Actual results:
System won't successfully boot after anaconda installs all the packages.

Expected results:
Sucessful boot, or at a minimum having Anaconda give some type of warning saying
"this isn't going to work" you need to do A. B. C. etc.


Additional info:


Note You need to log in before you can comment on or make changes to this bug.